openSUSE Security Update: Security update for openssl-1_1
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:2830-1
Rating:             important
References:         #1189520 #1189521 
Cross-References:   CVE-2021-3711 CVE-2021-3712
CVSS scores:
                    CVE-2021-3711 (SUSE): 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-3712 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for openssl-1_1 fixes the following security issues:

   - CVE-2021-3711: A bug in the implementation of the SM2 decryption code
     could lead to buffer overflows. [bsc#1189520]

   - CVE-2021-3712: a bug in the code for printing certificate details could
     lead to a buffer overrun that a malicious actor could exploit to crash
     the application, causing a denial-of-service attack. [bsc#1189521]


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-2830=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libopenssl-1_1-devel-1.1.1d-11.27.1
      libopenssl1_1-1.1.1d-11.27.1
      libopenssl1_1-debuginfo-1.1.1d-11.27.1
      libopenssl1_1-hmac-1.1.1d-11.27.1
      openssl-1_1-1.1.1d-11.27.1
      openssl-1_1-debuginfo-1.1.1d-11.27.1
      openssl-1_1-debugsource-1.1.1d-11.27.1

   - openSUSE Leap 15.3 (noarch):

      openssl-1_1-doc-1.1.1d-11.27.1

   - openSUSE Leap 15.3 (x86_64):

      libopenssl-1_1-devel-32bit-1.1.1d-11.27.1
      libopenssl1_1-32bit-1.1.1d-11.27.1
      libopenssl1_1-32bit-debuginfo-1.1.1d-11.27.1
      libopenssl1_1-hmac-32bit-1.1.1d-11.27.1


References:

   https://www.suse.com/security/cve/CVE-2021-3711.html
   https://www.suse.com/security/cve/CVE-2021-3712.html
   https://bugzilla.suse.com/1189520
   https://bugzilla.suse.com/1189521